Subject: Offline Message from Samar: I was contact with Saee They told me they didn’t
From: Zendesk Chat <[email-masked]>
To: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked]
Date: Mon, 08 Jun 2020 10:59:15 -0000

From: Samar <[email-masked]>
Phone: 
Location: Jeddah, Saudi Arabia
URL: https://saudi.mumzworld.com/sa-ar/returnform/orders/
Department: 

I was contact with Saee 
They told me they didn’t receive the shipment from Mumzworld 
I want my shipment during this week 
Or I want to refund my money in my bank account not in the coupon 
Also you should give me financial compensation
I am waiting more than 2 months 
I tried contact with mumzworld many times by email, shat and phone 
No one replay to me 

----
Zopim
https://www.zopim.com